summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:32:24 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:32:24 -0400
commit1905b48ba786e95682c800b65e4223b300ce129d (patch)
treecc9eefd8328920d6ce94e90fe5c9adef0a49f428 /desktop
parent0c28bfb90207f1ca6fce629afafbe322e27b701b (diff)
downloadslackbuilds-1905b48ba786e95682c800b65e4223b300ce129d.tar.gz
slackbuilds-1905b48ba786e95682c800b65e4223b300ce129d.tar.xz
desktop/wmMoonClock: Fixed for bash4.
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmMoonClock/wmMoonClock.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/desktop/wmMoonClock/wmMoonClock.SlackBuild b/desktop/wmMoonClock/wmMoonClock.SlackBuild
index e7b64ec6fa..7cab0672de 100644
--- a/desktop/wmMoonClock/wmMoonClock.SlackBuild
+++ b/desktop/wmMoonClock/wmMoonClock.SlackBuild
@@ -51,12 +51,8 @@ cd Src
make install DESTDIR=$PKG/usr
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;